> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List actions for a flow

> Return the ordered list of actions attached to a flow, including any nested child actions. Returns 404 if the flow does not exist.



## OpenAPI

````yaml /api-reference/workflows.yaml get /flows/{flowId}/actions
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /flows/{flowId}/actions:
    get:
      tags:
        - Flows
      summary: List actions for a flow
      description: >-
        Return the ordered list of actions attached to a flow, including any
        nested child actions. Returns 404 if the flow does not exist.
      operationId: listFlowActions
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: flowId
          in: path
      responses:
        '200':
          description: Flow actions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/FlowAction'
                required:
                  - data
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const actions = await
            client.workflows.flows.actions.list('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(actions.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            actions = client.workflows.flows.actions.list(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(actions.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tactions, err := client.Workflows.Flows.Actions.List(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", actions.Data)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud workflows:flows:actions list \
              --api-key 'My API Key' \
              --flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    FlowAction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        flowId:
          type: string
          format: uuid
        actionId:
          type: string
          format: uuid
        parentFlowActionId:
          type:
            - string
            - 'null'
          format: uuid
        position:
          type: integer
        continueOnError:
          type: boolean
        nameOverride:
          type:
            - string
            - 'null'
        overrides:
          type:
            - object
            - 'null'
          properties:
            params:
              type: object
              additionalProperties: {}
        createdAt:
          type:
            - string
            - 'null'
      required:
        - id
        - flowId
        - actionId
        - parentFlowActionId
        - position
        - continueOnError
        - nameOverride
        - overrides
        - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````